#!/bin/sh

DEFAULT_POLLER_FILE=/etc/cacti/default-poller
checkscript="/usr/share/cacti/mysqlchk.php"


POLLER=`grep -v '^#' $DEFAULT_POLLER_FILE 2>/dev/null | head -n1`
if [ ! -n "$POLLER" ]; then
	echo "E: No default poller for cacti configured"
	exit 1
fi

if [ ! -f "$POLLER" ]; then
	echo "E: Configured poller \"$POLLER\" does not exist!"
	exit 1
fi

echo "$POLLER" | grep -E '\.php$'
if [ $? -eq 0 ]; then
	/usr/bin/php4 -f $checkscript && /usr/bin/php4 -f $POLLER
else
	$POLLER
fi

exit 0

